package info.bukova.isspst.data;

import info.bukova.isspst.Constants;
import info.bukova.isspst.StringUtils;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "MUNIT")
public class MUnit extends BaseData
{
	@Column(name = "NAME")
	private String name;

	@Column(name = "DESCRIPTION", length = Constants.LEN_DESCRIPTION)
	private String description;

	public String getName()
	{
		return StringUtils.decodeSpecialChars(this.name);
	}

	public void setName(String name)
	{
		this.name = StringUtils.encodeSpecialChars(name);
	}

	public String getDescription()
	{
		return StringUtils.decodeSpecialChars(this.description);
	}

	public void setDescription(String description)
	{
		this.description = StringUtils.encodeSpecialChars(description);
	}
}
